
/*
jppp18 (c) 2010-always Jan Panteltje

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/




#ifndef _JPPP18_PROTO_H_

#define _JPPP18_PROTO_H_


extern void delay(int k);
extern int detecthardware();
extern void datawritable();
extern void datareadable();
extern void pgdl();
extern void pgdh();
extern void pgcl();
extern void pgch();
extern int pgdin();
extern void vdd0();
extern void vdd5();
extern void vpp0();
extern void vpp9();
extern void allpinslow();
extern void sndcmd(int b);
extern void sndcmd_prog(int congifuration_bits_mode_flag);
extern void snddata(int w);
extern int rcvdata();
extern int bulk_erase();
extern int read_chip(int address, int length, int8_t *buffer);
extern int write_chip(int address, int length, int8_t *buffer);
extern int write_config_space(int address, int length, int8_t *buffer);
extern void on();
extern void off();
extern int write_eeprom(int address, int length, int8_t *buffer);
extern int read_eeprom(int address, int length, int8_t *buffer);
extern void snd_eeprom_data(int w);
extern int load_hex_file(char *filename);
extern int valid_hex_line(char *s);
extern int pic_select(char *pic_type);
extern char *strsave(char *s);
extern int hex_dump(int base, int length, int8_t *buffer, int ascii_flag);
extern int write_hex_file(char * filename);
extern int write_hex_section(FILE *fptr, int base_address, int length, int8_t *buffer);

#endif // _JPPP18_PROTO_H_


