
/*
jppp18 copyright (c) 2010-always Jan Panteltje

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/



                                            /* set tabs to 4 to read this source */

#ifndef _JPPP18_H_
#define _JPPP18_H_

#include <stdio.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <getopt.h>
#include <ctype.h>

//#include <unistd.h> /* for libc5 */
#include <sys/io.h> /* for glibc */

#include <sys/types.h>
#include <pwd.h>
#include <errno.h>
       

/* verbose mode */
int debug_flag;

/* par port */
int parport_data;
int parport_control;
int parport_status;

/* program */
int8_t *program_data;
int program_base;
int program_size;
int program_used;

/* config */
int8_t *config_data;
int config_base;
int config_size;
int config_used;

/* chip ID */
int8_t *id_data;
int id_base;
int id_size;
int id_used;

/* EEPROM */
int8_t *eeprom_data;
int eeprom_base;
int eeprom_size;
int eeprom_used;

/* device ID */
int8_t *devid_data;
int devid_base;
int devid_size;

/* for verify */
int8_t *flash_read_buffer;
int8_t *eeprom_read_buffer;

char *pic_type;
char *hex_in_filename;


/* for hex file */
#define RECORD_LENGTH 16

/* for hex dump */
#define REPORT_LENGTH 32

#define PARPORT_DEFAULT_ADDRESS 0x378

#include "jppp18_proto.h"

#define PROG_VERSION "0.5"

#endif /* _JPPP18_H_ */

